Bug 76937 - [Chromium] Expose perTilePainting setting through WebLayerTreeView::Settings interface.
Summary: [Chromium] Expose perTilePainting setting through WebLayerTreeView::Settings ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Reveman
URL:
Keywords:
Depends on: 76927
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-24 13:10 PST by David Reveman
Modified: 2012-02-14 12:13 PST (History)
4 users (show)

See Also:


Attachments
Patch (1.76 KB, patch)
2012-01-24 14:49 PST, David Reveman
no flags Details | Formatted Diff | Diff
Patch (1.69 KB, patch)
2012-02-13 16:11 PST, David Reveman
no flags Details | Formatted Diff | Diff
Patch (1.61 KB, patch)
2012-02-13 21:30 PST, David Reveman
no flags Details | Formatted Diff | Diff
Patch (2.68 KB, patch)
2012-02-14 07:09 PST, David Reveman
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Reveman 2012-01-24 13:10:12 PST
Per-tile painting feature is currently not exposed in WebLayerTreeView::Settings, which prevents it from being used by the browser compositor.
Comment 1 Antoine Labour 2012-01-24 14:41:39 PST
https://bugs.webkit.org/show_bug.cgi?id=75591 exposes it, but it hasn't landed yet.
Also, be aware that we can't use it in the browser until http://code.google.com/p/chromium/issues/detail?id=103648 is fixed.
Comment 2 David Reveman 2012-01-24 14:49:45 PST
Created attachment 123816 [details]
Patch
Comment 3 Antoine Labour 2012-01-24 14:51:16 PST
Comment on attachment 123816 [details]
Patch

LGTM
Comment 4 David Reveman 2012-01-24 14:53:47 PST
(In reply to comment #1)
> https://bugs.webkit.org/show_bug.cgi?id=75591 exposes it, but it hasn't landed yet.

OK, I attached a simple patch to this bug in case we want to land something prior to that patch.

> Also, be aware that we can't use it in the browser until http://code.google.com/p/chromium/issues/detail?id=103648 is fixed.
Comment 5 David Reveman 2012-01-26 19:47:34 PST
for the chromium side: https://chromiumcodereview.appspot.com/9297006
Comment 6 David Reveman 2012-02-13 16:11:04 PST
Created attachment 126857 [details]
Patch

Rebase
Comment 7 WebKit Review Bot 2012-02-13 16:15:48 PST
Please wait for approval from fishd@chromium.org before submitting because this patch contains changes to the Chromium public API.
Comment 8 David Reveman 2012-02-13 21:30:30 PST
Created attachment 126904 [details]
Patch
Comment 9 David Reveman 2012-02-14 07:09:05 PST
Created attachment 126974 [details]
Patch

Rebase
Comment 10 WebKit Review Bot 2012-02-14 07:11:29 PST
Attachment 126974 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 9

Updating OpenSource
First, rewinding head to replay your work on top of it...
Applying: [Mac][Win][WK2] Switch to RFC 6455 protocol for WebSockets
Using index info to reconstruct a base tree...
<stdin>:1578: trailing whitespace.
        
<stdin>:1647: trailing whitespace.
    
<stdin>:1657: trailing whitespace.
    
<stdin>:1672: trailing whitespace.
        return 0;        
<stdin>:1674: trailing whitespace.
    
warning: squelched 7 whitespace errors
warning: 12 lines add whitespace errors.
Falling back to patching base and 3-way merge...
warning: too many files (created: 168776 deleted: 3), skipping inexact rename detection
Auto-merging LayoutTests/ChangeLog
CONFLICT (content): Merge conflict in LayoutTests/ChangeLog
Auto-merging Source/WebCore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Auto-merging Source/WebKit2/ChangeLog
CONFLICT (content): Merge conflict in Source/WebKit2/ChangeLog
Auto-merging Tools/ChangeLog
CONFLICT (content): Merge conflict in Tools/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 [Mac][Win][WK2] Switch to RFC 6455 protocol for WebSockets

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 James Robinson 2012-02-14 10:44:46 PST
Comment on attachment 126974 [details]
Patch

Looks fine, R=me
Comment 12 WebKit Review Bot 2012-02-14 12:13:30 PST
Comment on attachment 126974 [details]
Patch

Clearing flags on attachment: 126974

Committed r107722: <http://trac.webkit.org/changeset/107722>
Comment 13 WebKit Review Bot 2012-02-14 12:13:35 PST
All reviewed patches have been landed.  Closing bug.